#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <QString>
#include <stdio.h>

extern bool debug;
extern FILE *pFile;

void setDebug( bool debug, const QString fileName = "" );

enum ModemState
{
	Synchronised = 0,
	Synchronising = 1,
	SynchronisationFailed = 2,
	Booting = 3,
	Error = 4,
	Unknown = 100
};

namespace UbuDSL
{
	struct Stats
	{
		unsigned long rx_bytes;
		unsigned int  rx_errors;

		unsigned long tx_bytes;
		unsigned int  tx_errors;
		
		unsigned int  rx_bps;
		unsigned int  tx_bps;
	};
}

namespace ConnectionState
{
	enum ConnectionState
	{
		Connected = 0,
		Connecting = 1,
		Disconnected =2
	};
}

#endif /*GLOBALS_H_*/
