/*
 * File: PackageManager.h
 * Created: Wed 30 Jan 2008
 * Last modified: Sat 01 Mar 2008
 * Author: Adrian Łubik
 * License: GNU LGPL v3 or newer
 */

#ifndef PACKAGEMANAGER_H
#define PACKAGEMANAGER_H

#include <QObject>
class QString;
class QStringList;
class QThread;

//#include "Apt.h"
//#include "Zypper.h"
//#include "SystemInfo.h"
//#include "FileManager.h"


class PackageManager: public QObject
{
    Q_OBJECT
public:
    PackageManager ( QThread *parent = 0 );
    virtual ~PackageManager();

    virtual int installPackages ( const QStringList &pkgs ) = 0;
    virtual int addCD ( const QString &mntPoint ) = 0;
    virtual bool getIsPackageInstalled ( const QString &pkg ) = 0;
    virtual bool getArePackagesAvailable ( const QStringList &pkgs ) = 0;
    virtual QStringList getNotInstalled ( const QStringList pkgs ) = 0;
};

#endif
