/*
 * File: Rpm.h
 * Created: Apr 2008
 * Last modified: Wed 23 Apr 2008
 * Author: Adrian Łubik
 * License: GNU LGPL v3 or newer
 */


#ifndef _RPM_H_
#define _RPM_H_

#include <QDebug>
#include <QString>
#include <QStringList>
#include <QList>
#include <QListIterator>
#include <QByteArray>
#include <QProcess>
#include <QThread>

#include "PackageManager.h"

class Rpm: public PackageManager
{
    Q_OBJECT
public:
    Rpm( QThread *parent = 0 );
    virtual ~Rpm();

    virtual QStringList getNotInstalled ( QStringList pkgs );
    virtual bool getIsPackageInstalled ( const QString &pkg );

    virtual int  installPackages ( const QStringList &pkgs ) = 0;
    virtual int  addCD ( const QString &mntPoint ) = 0;
    virtual bool getArePackagesAvailable ( const QStringList &pkgs ) = 0;

protected:
    int queryDB();
    QList<QByteArray> installedPkgs;
    QByteArray readOutput;
    QProcess *m_askProcess;
};

#endif
